package org.diagbot.nlp.relation;

import org.algorithm.core.cnn.AlgorithmCNNExecutor;
import org.algorithm.core.cnn.model.Triad;
import org.diagbot.nlp.feature.FeatureType;
import org.diagbot.nlp.participle.ParticipleUtil;
import org.diagbot.nlp.participle.word.Lexeme;
import org.diagbot.nlp.participle.word.LexemePath;

import java.util.List;

/**
 * @ClassName org.diagbot.nlp.relation.RelationAnalyze
 * @Description 关系抽取入口
 * @Author fyeman
 * @Date 2019/1/18/018 14:36
 * @Version 1.0
 **/
public class RelationAnalyze {
    public void analyze(String content, FeatureType featureType) throws Exception {
        LexemePath<Lexeme> lexemes = ParticipleUtil.participle(content);

        AlgorithmCNNExecutor executor = new AlgorithmCNNExecutor();
        List<Triad> triads = executor.execute(content);
    }
}
